Session key returned from the start session endpoint.
After creating a session, send launch to begin and text for a customer message. Use HTTP Streaming for incremental Chat output. For Voice, use action.send.
Send an action
Use the session key returned when you create a session in the Authorization header. The response is an SSE stream of trace events followed by an end event. Use a client that supports POST, the authorization header, and incremental event parsing.
/v4/interact/streamAuthentication
Request body
The user's action for this conversation turn. Most commonly, the text action is used to send a message to the agent as a user.
Show child attributes
Show child attributes
launchShow child attributes
Show child attributes
textShow child attributes
Show child attributes
fileShow child attributes
url, mimeType, filename, size, s3KeyShow child attributes
actionShow child attributes
Show child attributes
Show child attributes
intentShow child attributes
nameShow child attributes
Show child attributes
Show child attributes
eventShow child attributes
nameShow child attributes
Show child attributes
Show child attributes
no-replyShow child attributes
messageShow child attributes
Show child attributes
endShow child attributes
Show child attributes
dtmfShow child attributes
live-agent-handoffShow child attributes
Show child attributes
messageShow child attributes
file_uploadid, name, size, type, status, metadataShow child attributes
continue_conversationShow child attributes
return_to_voiceflowShow child attributes
Show child attributes
Show child attributes
intentShow child attributes
nameShow child attributes
intentShow child attributes
nameKey-value pairs to set or update on the session before this turn is processed. Useful for injecting context like a user's name, account tier, or current page. Learn more.
Optional settings for this turn.
Show child attributes
The user's IANA timezone string (eg: America/New_York). Sets {vf_user_timezone} variable. Used to localize time-dependent agent behavior.
Response
200 - text/event-streamLaunch or continue
Send launch once to begin the conversation. Send text for the next user message, using the same session key.
{ "action": { "type": "launch" } }{ "action": { "type": "text", "payload": "Where is my order?" } }See Handling responses to turn the output into your interface.
Non-streaming HTTP alternative
Receive the completed turn as JSON when incremental output is unnecessary.
Use the session key returned when you create a session in the Authorization header. The response contains the completed turn’s traces array.
/v4/interactAuthentication
Session key returned from the start session endpoint.
Request body
The user's action for this conversation turn. Most commonly, the text action is used to send a message to the agent as a user.
Show child attributes
Show child attributes
launchShow child attributes
Show child attributes
textShow child attributes
Show child attributes
fileShow child attributes
url, mimeType, filename, size, s3KeyShow child attributes
actionShow child attributes
Show child attributes
Show child attributes
intentShow child attributes
nameShow child attributes
Show child attributes
Show child attributes
eventShow child attributes
nameShow child attributes
Show child attributes
Show child attributes
no-replyShow child attributes
messageShow child attributes
Show child attributes
endShow child attributes
Show child attributes
dtmfShow child attributes
live-agent-handoffShow child attributes
Show child attributes
messageShow child attributes
file_uploadid, name, size, type, status, metadataShow child attributes
continue_conversationShow child attributes
return_to_voiceflowShow child attributes
Show child attributes
Show child attributes
intentShow child attributes
nameShow child attributes
intentShow child attributes
nameKey-value pairs to set or update on the session before this turn is processed. Useful for injecting context like a user's name, account tier, or current page. Learn more.
Optional settings for this turn.
Show child attributes
The user's IANA timezone string (eg: America/New_York). Sets {vf_user_timezone} variable. Used to localize time-dependent agent behavior.
Trace types to omit from the response, for example ["block", "debug", "flow", "path"]. Omit this field to receive every trace. A debug trace reporting credit_limit_reached is always returned, since it is what explains a 402 response.
Response
200 - application/jsonAn array of traces that occurred during this turn.
Show child attributes
Show child attributes
audioShow child attributes
type, payload, diagramID, time, metadataShow child attributes
state, messageID, delaystate, content, encoding, durationstateShow child attributes
speakShow child attributes
audio, messageShow child attributes
streamShow child attributes
LOOP, PLAY, PAUSE, ENDShow child attributes
blockShow child attributes
Show child attributes
cardV2Show child attributes
Show child attributes
Show child attributes
nodeShow child attributes
agentShow child attributes
promptShow child attributes
api-toolShow child attributes
functionShow child attributes
integration-toolShow child attributes
mcp-integration-toolShow child attributes
type, payload, diagramID, time, metadatatext, slateShow child attributes
carouselShow child attributes
Show child attributes
Show child attributes
Show child attributes
text, slateList, CarouselShow child attributes
channel-actionShow child attributes
Show child attributes
choiceShow child attributes
Show child attributes
Show child attributes
completionShow child attributes
state, ai, sourceUrls, delay, messageID, refstate, content, messageIDstate, ref, sourceUrls, messageIDShow child attributes
debugShow child attributes
Show child attributes
Show child attributes
dtmfShow child attributes
Enables the new DTMF collection and configuration
How long to wait before processing the DTMF input. Set to 0 to process only after a delimiter is provided.
Which key to use to end DTMF input. Defaults to '#'
The maximum number of digits before we finish their input
Show child attributes
entity-fillingShow child attributes
Trigger a specific intent from your conversation model.
Show child attributes
endShow child attributes
flowShow child attributes
Show child attributes
gotoShow child attributes
Show child attributes
Show child attributes
logShow child attributes
no-replyShow child attributes
Show child attributes
pathShow child attributes
Show child attributes
textShow child attributes
Show child attributes
id, contentsrcurl, nameShow child attributes
reasoningShow child attributes
statestate, contentstatestate, messageShow child attributes
visualShow child attributes
imageloopwidth, heightShow child attributes
knowledgeBaseShow child attributes
score, documentID, documentDatamessages, outputShow child attributes
call-forwardShow child attributes
Show child attributes
phoneShow child attributes
sipShow child attributes
realtime-agentShow child attributes
action, input, outputactionactionShow child attributes
live-agent-handoffShow child attributes
conversationID, message, translationKey, translationParams, agent, event, provider, configconversationID, message, translationKey, translationParams, agent, event, downloadMessage, continueMessage, newConversationMessageconversationID, message, translationKey, translationParams, agent, event, fileconversationID, message, translationKey, translationParams, agent, eventShow child attributes
tool-callShow child attributes
callID, sound, statestate, callID